Hi All:

OK, just in time for Halloween!  Here's a high-ASCII graphical
BugBox for those using Pat Adams' FP25Eror, error handling routine.
If you don't have this one, it's still on CompuServe.

*:*******************************************************************
*: Program...........: Arghh.spr
*: Author............: David Lee Powell (214) 988-3227
*: Category..........: Error Handling
*: Created...........: 27-Oct-1993
*: Copyright.........: (c) 1995 Data-Day Computing, Inc.
*: Registration......: None.  Just give Pat and me credit, OK?
*) Description.......: Replacement for Pat Adams' BugBox in FP25Eror.
*)                   : This is stand-alone, so you can see it quickly.
*: Syntax............: None
*: Parameter list....: None here.  You'll need to connect it to the
*:                   : SysData table she uses and pass her parms.
*: Platform..........: DOS 'cuz of high-ASCII characters
*: Major change list.: None
*: Called by.........: FP25Eror
*: Calls.............: None
*:*******************************************************************

IF ! WEXI("wrArghh")
	DEFI WIND wrArghh ;
		FROM INT((SROW()-21)/2),INT((SCOL()-72)/2) ;
		TO   INT((SROW()-21)/2)+20,INT((SCOL()-72)/2)+71 ;
		NOFL NOCLOS SHAD NOMIN COLO SCHE 1
ENDI

lcEsc   = ON("KEY","ESCAPE")
ON KEY LABE Escape *
* ---- You can let FP25Eror pass these as parameters.
lcHead  = "   BAD NEWS   "
m_call  = "Systems Engineering Division"
m_title = "Data-Day Computing, Inc."
m_phone = "(214) 988-3227"

IF WVIS("wrArghh")
	ACTI WIND wrArghh SAME
ELSE
	ACTI WIND wrArghh NOSHOW
ENDI
@ 01,08 SAY ""     COLO W/B     
@ 02,06 SAY ""           COLO N/B     
@ 02,07 SAY " "           COLO N/N     
@ 02,08 SAY ""     COLO R+/N    
@ 02,15 SAY " "           COLO N/N     
@ 02,16 SAY ""           COLO N/B     
@ 03,01 TO 15,20
@ 03,05 SAY " "           COLO N/N     
@ 03,06 SAY "" COLO R+/N    
@ 03,17 SAY " "           COLO N/N     
@ 04,02 SAY ""          COLO B+/B    
@ 04,04 SAY ""           COLO B+/N    
@ 04,05 SAY ""          COLO R+/N    
@ 04,07 SAY ""        COLO W+/N    
@ 04,11 SAY ""           COLO R+/N    
@ 04,12 SAY ""        COLO W+/N    
@ 04,16 SAY ""          COLO R+/N    
@ 04,18 SAY ""          COLO B+/N    
@ 05,02 SAY ""          COLO B+/B    
@ 05,04 SAY " "           COLO N/N     
@ 05,05 SAY ""           COLO R+/N    
@ 05,06 SAY "" COLO W+/N    
@ 05,17 SAY ""           COLO R+/N    
@ 05,18 SAY " "          COLO B+/N    
@ 06,02 SAY ""           COLO B+/B    
@ 06,03 SAY " "          COLO B+/N    
@ 06,05 SAY ""          COLO R+/N    
@ 06,07 SAY ""        COLO W+/N    
@ 06,11 SAY ""           COLO R+/N    
@ 06,12 SAY ""        COLO W+/N    
@ 06,16 SAY " "         COLO R+/N    
@ 06,19 SAY ""           COLO B+/N    
@ 07,02 SAY ""           COLO B+/B    
@ 07,03 SAY "  " COLO R+/N    
@ 08,02 SAY ""           COLO B+/B    
@ 08,03 SAY "" COLO R+/N    
@ 09,02 SAY ""           COLO B+/B    
@ 09,03 SAY "" COLO R+/N    
@ 10,02 SAY ""           COLO B+/B    
@ 10,03 SAY " "        COLO R+/N    
@ 10,07 SAY ""           COLO W/N     
@ 10,08 SAY ""       COLO R+/N    
@ 10,13 SAY ""           COLO W/N     
@ 10,14 SAY "  "      COLO R+/N    
@ 11,02 SAY ""           COLO B+/B    
@ 11,03 SAY " "          COLO B/N     
@ 11,05 SAY ""          COLO R+/N    
@ 11,07 SAY ""           COLO W/N     
@ 11,08 SAY ""           COLO W+/W    
@ 11,09 SAY ""           COLO W/N     
@ 11,10 SAY ""           COLO W+/W    
@ 11,11 SAY ""           COLO W/N     
@ 11,12 SAY ""           COLO W+/W    
@ 11,13 SAY ""          COLO W/N     
@ 11,15 SAY "  "        COLO R+/N    
@ 11,16 SAY ""           COLO B/N     
@ 11,19 SAY ""           COLO B/N     
@ 12,02 SAY " "         COLO B+/B    
@ 12,05 SAY " "          COLO R+/N    
@ 12,07 SAY ""    COLO W+/N    
@ 12,15 SAY ""           COLO R+/N    
@ 12,16 SAY ""         COLO B/N     
@ 12,19 SAY ""           COLO B+/B    
@ 13,02 SAY " "         COLO B+/B    
@ 13,05 SAY " "          COLO R+/N    
@ 13,07 SAY ""           COLO W+/N    
@ 13,08 SAY ""       COLO R+/N    
@ 13,13 SAY ""           COLO W+/N    
@ 13,14 SAY " "         COLO R+/N    
@ 13,17 SAY " "         COLO B+/B    
@ 14,02 SAY ""         COLO B+/B    
@ 14,05 SAY ""           COLO B/N     
@ 14,06 SAY ""   COLO R+/N    
@ 14,15 SAY ""           COLO B/N     
@ 14,16 SAY ""        COLO B+/B    
@ 15,06 SAY "  "   COLO R+/N    
@ 16,07 SAY ""     COLO B/N     

@ 01,24 SAY PADC(lcHead,44) COLO R/W     
@ 03,23 TO 15,68            COLO W+/B    
@ 04,24 TO 05,67 PANEL      COLO W/B     
@ 06,24 TO 07,67 PANEL      COLO W/B     
@ 08,24 TO 09,67 PANEL      COLO W/B     
@ 10,24 TO 11,67 PANEL      COLO W/B     
@ 12,24 TO 13,67 PANEL      COLO W/B     
@ 14,24 TO 14,67 PANEL      COLO W/B     
@ 16,24 TO 18,67            COLO N/W     
@ 16,23 TO 18,23 PANEL      COLO W/B     
@ 16,68 TO 18,68 PANEL      COLO W/B     
@ 17,25 TO 17,66 PANEL      COLO W/N     

@ 05,26 SAY "A system problem has occurred requiring" COLO N/W     
@ 06,26 SAY "programmer attention.  Please print the" COLO N/W     
@ 07,26 SAY "Error Report and FAX it to:"             COLO N/W
@ 11,26 SAY PADC(m_call,40)                           COLO B/W
@ 12,26 SAY PADC(m_title,40)                          COLO B/W
@ 13,26 SAY PADC(m_phone,40)                          COLO B/W
@ 17,35 GET lhFax ;
        PICT "@*HT Print" ;
	     SIZE 1,9,4 ;
	     DEFAULT 1 ;
	     MESS "Print message and return to System" ;
	     COLO SCHE 2
@ 17,48 GET lhFax ;
	     PICT "@*HT \?Cancel" ;
	     SIZE 1,10,4 ;
	     DEFAULT 1 ;
	     MESS "Cancel and return to System without printing" ;
	     COLO SCHE 2

IF ! WVIS("wrArghh")
	ACTI WIND wrArghh
ENDI
ON KEY LABE Escape

READ

ON KEY LABE Escape &lcEsc
RELE WIND wrArghh

@ 23,00 CLEA
RETU
* ---- That's it!

I had fun with this one.  I hope you do, too.  Kinda reminds me of one
of my clients... <g>

David in Dallas.
